org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.InWithMarker

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.IN
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.InWithMarker

All Implemented Interfaces:
  Restriction

Enclosing class:
  SingleColumnRestriction

    public static class SingleColumnRestriction.InWithMarker
    extends SingleColumnRestriction.IN

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.IN, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

### Field Summary

Fields
`protected AbstractMarker` `marker`

### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`columnDef`

### Constructor Summary

Constructors
Constructor and Description
`InWithMarker(ColumnDefinition columnDef, AbstractMarker marker)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CompositesBuilder` `appendBoundTo(CFMetaData cfm, CompositesBuilder builder, Bound bound, QueryOptions options)` Appends the values of the `Restriction` for the specified bound to the specified builder.
`java.lang.Iterable<Function>` `getFunctions()` Return an Iterable over all of the functions (both native and user-defined) used by any component of the restriction
`protected java.util.List<java.nio.ByteBuffer>` `getValues(QueryOptions options)`
`boolean` `hasBound(Bound b)` Checks if the specified bound is set or not.
`boolean` `isContains()`
`boolean` `isEQ()`
`boolean` `isInclusive(Bound b)` Checks if the specified bound is inclusive or not.
`boolean` `isMultiColumn()`
`boolean` `isNotReturningAnyRows(CFMetaData cfm, QueryOptions options)` Checks if this restriction will prevent the query to return any rows.
`boolean` `isOnToken()`
`boolean` `isSlice()`
`protected static Bound` `reverseBoundIfNeeded(ColumnDefinition columnDefinition, Bound bound)` Reverses the specified bound if the column type is a reversed one.
`java.lang.String` `toString()`
`protected static java.nio.ByteBuffer` `validateIndexedValue(ColumnSpecification columnSpec, java.nio.ByteBuffer value)`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.IN

`addIndexExpressionTo, appendTo, doMergeWith, isIN, isSupportedBy`

### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

`getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### marker

    protected final AbstractMarker marker

### Constructor Detail

#### InWithMarker

    public InWithMarker(ColumnDefinition columnDef,
                        AbstractMarker marker)

### Method Detail

#### getFunctions

    public java.lang.Iterable<Function> getFunctions()

Description copied from interface: `Restriction`
Return an Iterable over all of the functions (both native and user-defined) used by any component of the restriction

Returns:
  functions all functions found (may contain duplicates)

#### getValues

    protected java.util.List<java.nio.ByteBuffer> getValues(QueryOptions options)
                                                     throws InvalidRequestException

Specified by:
  `getValues` in class `SingleColumnRestriction.IN`
Throws:
  `InvalidRequestException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isOnToken

    public boolean isOnToken()

Specified by:
  `isOnToken` in interface `Restriction`

#### isMultiColumn

    public boolean isMultiColumn()

Specified by:
  `isMultiColumn` in interface `Restriction`

#### isSlice

    public boolean isSlice()

Specified by:
  `isSlice` in interface `Restriction`

#### isEQ

    public boolean isEQ()

Specified by:
  `isEQ` in interface `Restriction`

#### isContains

    public boolean isContains()

Specified by:
  `isContains` in interface `Restriction`

#### hasBound

    public boolean hasBound(Bound b)

Description copied from interface: `Restriction`
Checks if the specified bound is set or not.

Specified by:
  `hasBound` in interface `Restriction`
Parameters:
  `b` - the bound type
Returns:
  `true` if the specified bound is set, `false` otherwise

#### appendBoundTo

    public CompositesBuilder appendBoundTo(CFMetaData cfm,
                                           CompositesBuilder builder,
                                           Bound bound,
                                           QueryOptions options)

Description copied from interface: `Restriction`
Appends the values of the `Restriction` for the specified bound to the specified builder.

Specified by:
  `appendBoundTo` in interface `Restriction`
Parameters:
  `cfm` - the table metadata
  `builder` - the `CompositesBuilder` to append to.
  `bound` - the bound
  `options` - the query options
Returns:
  the `CompositesBuilder`

#### isInclusive

    public boolean isInclusive(Bound b)

Description copied from interface: `Restriction`
Checks if the specified bound is inclusive or not.

Specified by:
  `isInclusive` in interface `Restriction`
Parameters:
  `b` - the bound type
Returns:
  `true` if the specified bound is inclusive, `false` otherwise

#### isNotReturningAnyRows

    public boolean isNotReturningAnyRows(CFMetaData cfm,
                                         QueryOptions options)

Description copied from interface: `Restriction`
Checks if this restriction will prevent the query to return any rows.

Specified by:
  `isNotReturningAnyRows` in interface `Restriction`
Parameters:
  `cfm` - the table metadata
  `options` - the query options
Returns:
  `true` if this restriction will prevent the query to return any rows, otherwise

#### validateIndexedValue

    protected static java.nio.ByteBuffer validateIndexedValue(ColumnSpecification columnSpec,
                                                              java.nio.ByteBuffer value)
                                                       throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### reverseBoundIfNeeded

    protected static Bound reverseBoundIfNeeded(ColumnDefinition columnDefinition,
                                                Bound bound)

Reverses the specified bound if the column type is a reversed one.

Parameters:
  `columnDefinition` - the column definition
  `bound` - the bound
Returns:
  the bound reversed if the column type was a reversed one or the original bound